/* ==================== */
/* Global Font
/* ==================== */

body {
  font-family: 'Montserrat', sans-serif;
  font-size: 16px;
}

h1, h2, h3, h4,
.fp-slideshow__text {
  font-family: 'Anton', sans-serif;
  letter-spacing: 1px;
}

.post, .page {
  margin: 0 !important;
}

#page {
  background: black;
}

/* ==================== */
/* Container
/* ==================== */

.container {
  width: 90%;
  max-width: 1280px;
  margin: 0 auto;
}


/* ==================== */
/* Sections
/* ==================== */

.section {
  padding: 2rem 0;
  background-color: white;
}

.section--dark {
  background-color: #232627;
  color: white !important;
}

@media (min-width: 1280px){
  .section {
    padding: 75px 0;
  }  

  .section--intro {
    padding: 2rem 0;
  }
}


/* ==================== */
/* Rich Text Editor
/* ==================== */

.rte h2:first-of-type {
  margin-top: 0;
}

.rte h2, .rte h3, .rte h4 {
  color: black;
} 


/* ==================== */
/* Site Titles
/* ==================== */

.site-title--white {
  color: white !important;
}



/* ==================== */
/* Site Buttons
/* ==================== */

.site-btn {
  display: inline-block;
  border: 1px solid white;
  line-height: 1;
  padding: 1rem 3rem;
  font-weight: bold;
  text-decoration: none;
  color: white !important;
  transition: 0.3s;
}

.site-btn:hover {
  background-color: white !important;
  color: black !important;
}

.site-btn--white {
  background-color: white;
  color: black !important;
}

.site-btn--black {
  background-color: black;
  color: white !important;
  border-color: black;
}

/* ==================== */
/* Logo Reset
/* ==================== */

h1.home-link,
a.home-link {
  display: block !important;
  padding: 0 !important;
  margin: 0 !important;
  line-height: 1 !important;
  font-size: 16px !important;
}

.home-link__logo {
  display: block;
  width: 100%;
  max-width: 210px;
}

@media (min-width: 1280px){
  .home-link__logo { 
    max-width: 280px;
  }
}

/* ==================== */
/* Header
/* ==================== */

.site-header {
  position: absolute;
  width: 100%;
  z-index: 2;
}

.site-header__row {
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 1rem 0;
}

.site-header__main-nav {
  display: none;
}

.site-header__burger-link {
  color: white !important;
  font-size: 28px;
}

@media (min-width: 1024px){
  .site-header__mobile-nav-burger {
    display: none;
  }

  .site-header__main-nav {
    display: flex;
  }
}

@media (min-width: 1280px){
  .site-header__row {
    flex-direction: column;
    padding: 3rem 0;
  }

  .site-header__logo {
    margin-bottom: 3rem;
  }
}


/* ==================== */
/* Main Navigation
/* ==================== */

.main-browse-nav {
  margin: 0 !important;
  padding: 0 !important;
  list-style-type: none !important;
  display: flex;
}

.main-browse-nav li a {
  color: white !important;
  border-bottom: 2px solid transparent;
  text-decoration: none;
  display: inline-block;
  margin-left: 1rem;
  transition: 1s;
}

.main-browse-nav li.current-menu-item a,
.main-browse-nav li a:hover {
  border-color: white;
}

@media (min-width: 1280px){
  .main-browse-nav li a {
    margin: 0 1rem;
  }
}


/* ===================== */
/* Slideout Nav
/* ===================== */

.slideout-menu {    
  width: 350px;
  position: fixed;
  top: 0; 
  left: -350px; 
/*  left: 0;*/
  height: 100%; 
  background: #333;
  z-index: 100;
  /*overflow-y: scroll;*/
  background-color: black;
  transition: 0.5s;
}

body.admin-bar .slideout-menu {
  top: 46px;
}

.slideout-menu.active {
  box-shadow: 0 21px 27px rgb(0 0 0 / 90%);
  left: 0;
}

.slideout-menu i {
  font-family: "FontAwesome";
}

.slideout-menu h3 { 
  margin: 0;
  position: relative;
  padding: 12px 10px;
  color: #fff;
  font-size: 1.2em;
  font-weight: 400;
/*  border-bottom: 4px solid #222;*/
}

/* Style up the toggle menu "x" */
.slideout-menu .slideout-menu-toggle {
  position: absolute;
  top: 12px;
  right: 10px;
  display: inline-block;
  padding: 6px 9px 5px;
  font-family: Arial, sans-serif;
  font-weight: bold;
  line-height: 1;  
  color: white;
  text-decoration: none;
  vertical-align: top;
}

.slideout-menu .slideout-menu-toggle:hover {
  color: #fff;
}

/* Give the menu container some love */
.slideout-menu ul {
  list-style: none;
  font-weight: 300; 
  margin: 0;
  padding: 0;
}

/* And now the list items */
.slideout-menu ul li {
  /*border-top: 1px solid #454545;
  border-bottom: 1px solid #151515;*/
}

/* The anchor elements within the list items */
.slideout-menu ul li a {
  position: relative;
  display: block;
  padding: 10px;
  color: white;
  text-decoration: none;
  text-transform: uppercase;
  text-align: center;
}

.slideout-menu ul li a button  {
  position: absolute;
  right: 10px;
}

.slideout-menu ul li a:hover {
  /*background: #000;
  color: #fff;*/
}

.slideout-menu ul li a i {
  position: absolute;
  top: 15px;
  right: 10px;
  opacity: .5;
}

.dropdown-toggle {
    background-color: transparent;
    border: 0;    
    content: "";
    height: 42px;
    padding: 0;
    position: absolute;
    text-transform: lowercase;
    top: 3px;
    right: 0;
    width: 42px;
}

.dropdown-toggle:after {
  font-family: "FontAwesome";
    color: white;
    content: "\f078";    
    line-height: 42px;
    position: relative;
    top: 0;
    left: 1px;
    width: 42px;
}

.dropdown-toggle.sub-menu-on:after {
  content: "\f077";    
}

/* Submenu */
.slideout-menu ul .sub-menu {
  display: none;
}

.slideout-menu ul .sub-menu li {
  border: 0;
}

@media (min-width: 1024px){
  .slideout-menu {
    display: none;
  }
}


/* ==================== */
/* Slideshow
/* ==================== */

#slideshow {
  overflow: hidden;
  margin-bottom: 0;
}

.fp-slideshow__slide {
  height: 500px;
  position: relative;
  background-position: center;
  background-size: cover;
  display: flex !important;
  justify-content: center;
  align-items: center;
}

.fp-slideshow__slide::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: black;
  opacity: 0.5;
}

.fp-slideshow__content {
  position: relative;
  z-index: 1;
  text-align: center;
  width: 90%;
  margin-left: auto;
  margin-right: auto;
}

.fp-slideshow__text {
  color: white;
  font-size: 28px;
  font-weight: bold;
  margin-bottom: 2rem;
}

.fp-slideshow__text br {
  display: none;
}

#slideshow .slick-dots {
  bottom: 1rem;
}

#slideshow .slick-dots li button:before {
  font-size: 14px;
  color: white;
}

#slideshow .slick-dots li.slick-active button:before {
  color: white;
  opacity: 1;
}

#slideshow .slick-dotted.slick-slider {
  margin-bottom: 0;
}

@media (min-width: 768px){
  .fp-slideshow__text br {
    display: block;
  }
}

@media (min-width: 1280px){
  .fp-slideshow__slide {
    height: 750px;
  }

  .fp-slideshow__title {
    font-size: 68px;
  }

  .fp-slideshow__text {
    font-size: 32px;
  }

  .fp-slideshow__title-inner::after {
    width: 1rem;
    height: 1rem;
    right: -1rem;
  }

  #slideshow .slick-dots {
    bottom: 2rem;
  }
}


/* ==================== */
/* Service Boxes
/* ==================== */

.service-box {
  overflow: hidden;
  margin-bottom: 2rem;
  box-shadow: 0px 0px 16px rgba(0,0,0,0.6);
  padding: 2rem;
  position: relative;
  background-position: center;
  background-size: cover;
}

.service-box::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0,0,0,0.75);
}

.service-box:last-of-type {
  margin-bottom: 0;
}

.service-box__content {
  position: relative;
  z-index: 1;
}

.service-box__title {
  margin: 0 0 1rem 0;
  line-height: 1.1;
}

@media (min-width: 1024px){

  .section-service-boxes__row {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
  }

  .service-box {
    width: calc(50% - 1rem);
  }

  .service-box:nth-child(3),
  .service-box:nth-child(4) {
    margin-bottom: 0;
  }
}

@media (min-width: 1280px){
  .service-box {
    padding: 3rem;
  }

  .service-box__text {
    line-height: 1.75;
  }
}


/* ==================== */
/* Service Grid
/* ==================== */

.grid-box {
  padding: 2rem;
  position: relative;
  background-size: cover;
  background-position: center;
  overflow: hidden;
  height: 250px;
  margin-bottom: 2rem;
  box-shadow: 0px 0px 16px rgba(0,0,0,0.6);
}

.grid-box--narrow:last-of-type {
  margin-bottom: 0;
}

.grid-box::before {
  content: "";  
  background: rgb(255,255,255);
  background: linear-gradient(180deg, rgba(255,255,255,0.2) 0%, rgba(255,255,255,0.2) 5%, rgba(255,255,255,0) 50%, rgba(255,255,255,1) 100%);
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
}

.grid-box__content {
  position: absolute;
  z-index: 1;
  bottom: 2rem;
  left: 2rem;
}

.grid-box__title {
  color: black;
  margin-bottom: 0.5rem;
}

@media (min-width: 1024px){
  .section-service-grid__row {
    display: flex;
    justify-content: space-between;
  }

  .section-service-grid__col {
    width: calc(50% - 1rem);
  }

  .grid-box--large {
    height: 100% !important;
  }
}

@media (min-width: 1280px){
  .grid-box {
    height: 280px;
  }
}


/* ==================== */
/* Callout Hero Module
/* ==================== */

.callout-hero {  
  position: relative;
  padding: 1rem;
  display: flex;
  background-size: cover;
  background-position: center;
}

.page-template-default .callout-hero {
  height: 310px;
}

.home .callout-hero {
  height: 410px;
}

.callout-hero::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: black;
  opacity: 0.75;
}

.callout-hero__content {
  position: relative;
  z-index: 1;
  border: 1px solid white;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  padding: 2rem;
  width: 100%;
}

.callout-hero__text,
.callout-hero__link {
  font-weight: bold;
  color: white;
  text-align: center;
}

.callout-hero__text {
  font-size: 20px;
  max-width: 1110px;
  margin-left: auto;
  margin-right: auto;
}

.callout-hero__link {
  text-decoration: none !important;
  font-size: 28px;
  color: white !important;
}

@media (min-width: 1024px){
  .callout-hero__text {
    font-size: 24px;
  }
}

@media (min-width: 1280px){
  .callout-hero {    
    padding: 2rem;
  }

  .home .callout-hero {
    height: 700px;
  }

  .callout-hero__text {
    font-size: 32px;
  }

  .callout-hero__link {
    font-size: 40px;
  }
}



/* ==================== */
/* Footer
/* ==================== */

.site-footer-main {
  padding: 32px 0;
  background-color: var(--brand-blue);
}

.site-footer-main__col--blurb {
  margin-bottom: 32px;
}

.site-footer__logo {
  max-width: 210px;
}

.site-footer__blurb {
  font-size: 14px;
  color: white;
}

.site-footer__title {
  color: white;
  position: relative;
  padding-bottom: 4px;
}

.site-footer__title::after {
  content: "";
  position: absolute;
  left: 0;
  bottom: -4px;
  width: 50px;
  height: 2px;
  background-color: var(--brand-orange);
}

.footer-nav-wrap ul {
  margin: 0 !important;
  padding: 0 !important;
  list-style-type: none !important;
}

.footer-nav-wrap ul a {
  display: inline-block;
  padding-bottom: 3px;
  border-bottom: 2px solid transparent;
  transition: 0.2s;
  color: white !important;
  text-decoration: none !important;
}

.footer-nav-wrap ul a:hover {
  border-color: var(--brand-orange);
}

.site-footer__addr {
  color: white !important;
  padding-left: 32px;
  position: relative;
  margin-bottom: 16px;
}

.site-footer__addr::before {
  content: "\f3c5"; 
  font-family: "Font Awesome 5 Free"; 
  font-weight: 900;
  color: white;
  position: absolute;
  left: 0;
}

.site-footer__link {
  display: inline-block;
  border-bottom: 2px solid transparent;
  transition: 0.2s;
  color: white !important;
  text-decoration: none !important;  
}

.site-footer__link-wrap {
  position: relative;
  padding-left: 32px;
}

.site-footer__link-wrap::before {
  content: "\f095"; 
  font-family: "Font Awesome 5 Free"; 
  font-weight: 900;
  color: white;
  position: absolute;
  left: 0;
}

.site-footer__link-wrap--email::before {
  content: "\f0e0";
}

.social-icons {
  padding: 16px 0 0 0 !important;
  margin: 0 !important;
  list-style-type: none !important;
  display: flex;  
}

.social-icons__link {
  font-size: 32px;
  color: white !important;
}

.social-icons__item {
  margin-right: 1rem;
}

.social-icons__item:last-of-type {
  margin-right: 0;
}

.social-icons__link--dark {
  color: var(--brand-blue) !important;
}

@media (min-width: 768px){

  .site-footer-main__row {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
  }

  .site-footer-main__col--blurb,
  .site-footer__blurb {
    margin-bottom: 0;
  }

  .site-footer__title {
    margin-top: 0;
  }
}

@media (min-width: 1024px){

  .site-footer-main {
    padding-top: 50px;
  }

  .site-footer-main__row {
    flex-wrap: nowrap;
  }

  .site-footer-main__col {
    flex-basis: calc(25% - 32px);
  }
}

@media (min-width: 1280px){

  .site-footer-main {
    padding-top: 75px;
  }

  .site-footer__blurb {
    padding-right: 32px;
  }
  /*.footer-nav-wrap--browse {
    column-count: 2;
  }*/

  .social-icons__link--lg {
    font-size: 45px;
  }
}


/* ==================== */
/* Site Info
/* ==================== */

.site-info {
  background-color: var(--brand-blue);
  overflow: hidden;
  padding-top: 16px;
  padding-bottom: 16px;
}

.site-info__text {
  margin: 0;
  color: white;
  font-size: 14px;
}

.site-info__copyright,
.site-info__designby {
  display: block;
  text-align: center;
}

.site-info a {
  color: var(--brand-yellow) !important;
}

@media (min-width: 768px){
  .site-info__text {
    display: flex;
    justify-content: center;    
  }

  .site-info__copyright {
    margin-right: 16px;
    position: relative;
  }

  .site-info__copyright::after {
    content: "|";
    position: absolute;
    right: -10px;
  }
}


/* ==================== */
/* Internal Page Banner
/* ==================== */

.internal-banner {
  height: 410px;
  background-size: cover;
  background-position: center;
  position: relative;
  display: flex;
  justify-content: center;
  align-items: center;
}

.internal-banner::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: black;
  opacity: 0.5;
}

.internal-banner__content {
  display: flex;
  align-items: center;
  justify-content: center;
  position: relative;
  z-index: 1;
  width: 100%;
  height: 100%;
}

.internal-banner__title {
  color: white;
  position: relative;
}

.internal-banner__title::after {
  content: "";
  position: absolute;
  bottom: -1rem;
  width: 75px;
  height: 3px;
  left: 0;
  right: 0;
  margin: 0 auto;
  background-color: white;
}

@media (min-width: 1280px){
  .internal-banner__title {
    position: absolute;
    bottom: 5rem;
  }
}


/* ==================== */
/* Default Page Content
/* ==================== */

.section-page__row {
  display: flex;
  justify-content: space-between;

}

.section-page__col--content {
  flex-basis: 65%;
}


.section-page__col--img {
  flex-basis: 30%;
}

.section-page__ftrd-img {
  box-shadow: 0 0 16px rgba(0,0,0,0.5);
}


/* ==================== */
/* Contact Page
/* ==================== */

.contact-top {
  padding: 2rem 0;
  background-color: #232627;;
}

.contact-top__col {
  width: 90%;
  margin: 0 auto;
}

.with_frm_style .frm_primary_label,
.frm_style_formidable-style.with_frm_style p.description, .frm_style_formidable-style.with_frm_style div.description, .frm_style_formidable-style.with_frm_style div.frm_description, .frm_style_formidable-style.with_frm_style .frm-show-form > div.frm_description, .frm_style_formidable-style.with_frm_style .frm_error, .frm_style_formidable-style.with_frm_style .frm_pro_max_limit_desc {
  color: white !important;
}

.frm_style_formidable-style.with_frm_style .frm_compact .frm_dropzone.dz-clickable .dz-message, .frm_style_formidable-style.with_frm_style input[type=submit], .frm_style_formidable-style.with_frm_style .frm_submit input[type=button], .frm_style_formidable-style.with_frm_style .frm_submit button, .frm_form_submit_style, .frm_style_formidable-style.with_frm_style .frm-edit-page-btn {
  background-color: white !important;
  color: black !important;
  border: 0 !important;
  box-shadow: none !important;
}

.contact-card {
  color: black;  
  position: relative;
  background-color: white;
  padding: 1rem 2rem 1rem 3rem;
  border: 10px;
  margin-bottom: 1rem;
  border-radius: 10px;
}

.contact-card__link {
  color: black !important;
  text-decoration: none !important;
}

.contact-card::before {
  content: "\f3c5";
  font-family: "Font Awesome 5 Free";
  font-weight: 900;
  color: black;
  position: absolute;
  left: 1rem;  
  font-size: 24px;
}

.contact-card__call::before {
  content: "\f095";
  top: 50%;
  transform: translateY(-50%);
}

.contact-card__mail::before {
  content: "\f0e0";
  top: 50%;
  transform: translateY(-50%);
}

@media (min-width: 1024px){
  .contact-top__row {
    display: flex;
    justify-content: space-between;
  }

  .contact-top__col--form {
    flex-basis: 55%
  }

  .contact-top__col--details {
    flex-basis: 35%
  }
}